C	LUMPING AND COMPOSITION-DERIVED PARAMETER SPECIFICATIONS
C	INCLUDES SPECSPEC
C
	INCLUDE 'SPECSPEC.FOR'
C
	CHARACTER MECLOC*60	! LOCATION OF MECHANISM FILES
	INTEGER LMECLC
C
C	LUMPED GROUPS
C
	PARAMETER (MAXLMP=40)	! LUMPED PARAMETER MODEL SPECIES
	PARAMETER (MAXPRM=300)	! MECHANISTIC PARAMETERS
C
	CHARACTER PARMID(MAXPRM)*6
	INTEGER NLMP,NPRM,LMPMS(MAXLMP),PRMPAR(MAXPRM)
	REAL LMPPRM(MAXLMP,MAXPRM),ACTPRM(MAXPRM)
	LOGICAL PRMDFD(MAXLMP)
C
C	LUMPED WEIGHTING DATA AND SPECIFICATIONS
C
	CHARACTER EMITSM*60,ESMLOC*60,EMCUIC*60
	INTEGER LEMTSM,LESMLC,LEMCUC
	REAL TOTMOL,SPCMOL(MAXSPC),LMPTOT(MAXLMP)
	LOGICAL DMSUSD(MAXDMS)
C
C	MECHANISTIC PARAMETER FILES
C
	PARAMETER (MAXPMF=20)
	CHARACTER PRMFIL(MAXPMF)*60
	INTEGER NPRMF
C
C	REACTION PARAMETERS
C
	PARAMETER (MAXHV=20)
	CHARACTER HVPRMF*60,HVPRM(MAXHV)*2,HVPHF(MAXHV)*8
	INTEGER LHVPMF,NHV,ISHV
C
	PARAMETER (MAXPRD=80)
	CHARACTER PRDFIL*60,PRDPRM(MAXPRD)*2,PRDSPE(MAXPRD)*8
	INTEGER LPRDFL,NPRD,PRDNC(MAXPRM),PRMPRD(MAXPRM)
C
C	REACTION INPUT FILES
C
	PARAMETER (MAXRXF=20)
	CHARACTER RXNFIL(MAXRXF)
	INTEGER NRXNF
C
	COMMON /DMSDAT/ TOTMOL,SPCMOL,LMPTOT,LMPPRM,ACTPRM,
     &	 LMECLC,NLMP,NPRM,LMPMS,PRMPAR,LEMTSM,LESMLC,LEMCUC,
     &	 NPRMF,NRXNF,PRMDFD,DMSUSD,LHVPMF,NHV,ISHV,LPRDFL,NPRD,
     &	 PRDNC,PRMPRD
	COMMON /DMSCHR/ MECLOC,PARMID,EMITSM,ESMLOC,EMCUIC,PRMFIL,
     &	 RXNFIL,HVPRMF,HVPRM,HVPHF,PRDFIL,PRDPRM,PRDSPE
