:	Process for standard SAPRC-99 "fixed parameter" mechanism
:	See file "S99STD.IN" for options and additional comments
:	SpecPro produces the GSPRO file (S99STD.GSP)
:	MechPro produces the mechanism definition file (S99STD.MEC)
:		(this should be very similar to the standard SAPRC-99
:		 fixed parameter mechanism)

PROFPRO PROFLIST=EPA-USE.LIS
SPECPRO S99STD.IN
MECHPRO S99STD.IN

:	Process for modified SAPRC-99 "fixed parameter" mechanism where
:		benzene and 1,3-butadiene are treated explicltly.
:	See file "S99EXT.IN" for options and additional comments
:	SpecPro produces the GSPRO file (S99EXT.GSP)
:	MechPro produces the mechanism definition file (S99EXT.MEC)
:		(this should be very similar to the standard SAPRC-99
:		 fixed parameter mechanism)

SPECPRO S99EXT.IN
MECHPRO S99EXT.IN
