C	SPECSPEC.FOR
C
C	SPECIFICATIONS FOR MODEL SPECIES AND COMPOUNDS FOR
C	SPECPRO AND ITS SUBROUTINES
C
C	GENERAL MECHANISM ASSIGNMENT INFORMATION
C
	CHARACTER MECHID*5,PROLFL*60,EDBUIC*40
	INTEGER LMECID,LPROLF,LEDBUC
C
C	ASSIGNMENT DATA FOR MODEL SPECIES (READ FROM MechMS.DAT)
C
	PARAMETER (MAXMS=1200)
	CHARACTER MSNAM(MAXMS)*8,NROGNM*8,MSPRM(MAXMS)*2,MSLIK(MAXMS)*8
	INTEGER NMS,INROG,MSNC(MAXMS),MSDMS(MAXMS),MSLMP(MAXMS)
	REAL MSMWT(MAXMS)
C
C	ASSIGNMENT DATA FOR COMPOUNDS
C	(READ FROM MechASN.DAT)
C
	PARAMETER (MAXSPC=2000,MAXTP3=20)
	CHARACTER SPCNAM(MAXSPC)*16
	REAL SPCMW(MAXSPC),SPCMSW(MAXSPC),SPCMSF(MAXSPC,MAXTP3)
	INTEGER NSPC,SPCFMT,SPCNC(MAXSPC),SPCMS(MAXSPC),SPCDMS(MAXSPC)
	LOGICAL SPCASN(MAXSPC),SPCVOL(MAXSPC),XINFO,SPCXMT(MAXSPC)
C
C	ASSIGNMENT DATA FOR DETAILED MODEL SPECIES (IF APPLICABLE)
C	(READ FROM MechMS.DAT)
C
	PARAMETER (MAXDMS=1000)
	CHARACTER DMSNAM(MAXDMS)*8
	INTEGER NDMS
C
	COMMON /SPDAT/ MSMWT,SPCMW,SPCMSW,SPCMSF,
     &	 LMECID,LPROLF,LEDBUC,NMS,INROG,MSNC,MSDMS,MSLMP,
     &	 NSPC,SPCFMT,SPCNC,SPCMS,SPCDMS,NDMS,
     &	 SPCASN,SPCVOL,XINFO,SPCXMT
	COMMON /SPCHR/ MECHID,PROLFL,EDBUIC,MSNAM,NROGNM,
     &	 SPCNAM,DMSNAM,MSPRM,MSLIK
